Bug 1201118 - [Doc] [Docs Audit] Chapter 14 - QEMU guest agent
Summary: [Doc] [Docs Audit] Chapter 14 - QEMU guest agent
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Virtualization_Deployment_and_Administration_Guide
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Laura Novich
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1201058
TreeView+ depends on / blocked
 
Reported: 2015-03-12 04:32 UTC by Dayle Parker
Modified: 2019-03-06 00:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-22 06:43:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 5 Kazuo Moriwaka 2015-10-14 02:58:50 UTC
Reviewed, most part looks nice for me. 
One point I noticed is that there aren't spice-vdagent setups for RHEL.
I think RHEL with SPICE will be minor use case, priority can be low. 

Thanks,

Comment 7 Kazuo Moriwaka 2015-10-16 11:53:32 UTC
User may need to install spice-vdagent 
- yum install spice-vdagent 


Use case: 

When a user using GUI in RHEL, spice agent helps integrating guest OS and spice client. 
For example, virt-manager's window is resized, X window's root window size will be resized to be same size.  It helps smooth operations for GUI users.


Features from spice-vdagent README file:
* Client mouse mode (no need to grab mouse by client, no mouse lag)
  this is handled by the daemon by feeding mouse events into the kernel
  via uinput. This will only work if the active X-session is running a
  spice-vdagent process so that its resolution can be determined.
* Automatic adjustment of the X-session resolution to the client resolution
* Support of copy and paste (text and images) between the active X-session
  and the client. This supports both the primary selection and the clipboard.
* Support for transfering files from the client to the agent
* Full support for multiple displays using Xrandr, this requires a new
  enough xorg-x11-drv-qxl driver, as well as a new enough host.
* Limited support for multiple displays using Xinerama, prerequisites:
  * A new enough Xorg-server. For Fedora atleast Fedora-17, for RHEL-6 atleast
    xorg-x11-server-1.10.4-6.el6_2.3
  * A vm configured with multiple qxl devices
  * A guest running the latest spice-vdagent
  Then connect to the vm with the multiple monitor client which you want to
  use it with using: "spicec --full-screen=auto-config" (or the user portal
  equivalent). At this point the agent will write out a:
  /var/run/spice-vdagentd/xorg.conf.spice file. With all the necessary magic
  to get Xinerama working. Move this file to /etc/X11/xorg.conf, then kill
  Xorg so that it will get restarted and you should be good to go.
* Limited support for setups with multiple Screens (multiple qxl devices each
  mapped to their own screen), limitations:
 -Max one monitor per Screen / qxl device
 -All monitors / Screens must have the same resolution
 -No client -> guest resolution syncing

Thanks,

Comment 14 Kazuo Moriwaka 2015-11-16 01:31:26 UTC
It looks nice for me.  Thanks,

Comment 15 Laura Novich 2015-11-17 13:31:20 UTC
OK! setting to verified! thanks so much
Laura


Note You need to log in before you can comment on or make changes to this bug.